Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
POSTSNS OperationsSince 5.0.0SynchronousAuth Required
AddSNSWeComAtPerson
AddSNSWeComAtPerson
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
userIdStringRequiredThe WeCom Id.
endpointUuidStringRequiredThe UUID of the WeCom endpoint.
resourceUuidStringOptional. The resource uuid.
tagUuidListOptional. The tag uuid list.
remarkStringOptional. The remark.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/sns/application-endpoints/we-com/at-persons
/zstack/v1/sns/application-endpoints/we-com/at-persons
Request Example
curl -X POST 'http://{host}/zstack/v1/sns/application-endpoints/we-com/at-persons' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"userId":"<userId>","endpointUuid":"<endpointUuid>","resourceUuid":"<resourceUuid>","tagUuid":["<tagUuid>"],"remark":"<remark>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "b354a3fbec2e449d92708ccfd4dabb17", "userId": "18988887777", "endpointUuid": "346f6422817e4147bf405a38d0b69f5e", "remark": "jack" } }Change History
This API has no change history records yet.
